Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228145 - Can not be compiled
Summary: Can not be compiled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 14:02 UTC by Amadeus
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-12 14:30:16 UTC


Attachments (Terms of Use)

Description Amadeus 2007-02-10 14:02:01 UTC
Description of problem:

The kernel can not be compiled.


Version-Release number of selected component (if applicable):
kernel-headers-2.6.20-1.2922.fc7
kernel-2.6.19-1.2914.fc7
kernel-devel-2.6.20-1.2922.fc7
kernel-2.6.20-1.2922.fc7


How reproducible:

Everytime.


Steps to Reproduce:
cd /usr/src/kernels/2.6.20-1.2922.fc7-i686

[root@localhost 2.6.20-1.2922.fc7-i686]# make
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
make[1]: *** No rule to make target `init/main.o', needed by `init/built-in.o'.
 Stop.
make: *** [init] Error 2
[root@localhost 2.6.20-1.2922.fc7-i686]#

Comment 1 Jarod Wilson 2007-02-12 14:30:16 UTC
That's not a full kernel source tree, its just the necessary bits to build
(most) out-of-tree kernel modules. You need the kernel src.rpm. This link is
tagged FC6, but it applies to rawhide as well, it should explain everything:

http://fedora.redhat.com/docs/release-notes/fc6/en_US/sn-Kernel.html#id2980667

Comment 2 Bill Nottingham 2007-03-02 17:33:50 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.


Note You need to log in before you can comment on or make changes to this bug.